## Apache Zeta Components Manual :: Docs For Class ezcTemplateTranslationProvider

### TemplateTranslationTiein::ezcTemplateTranslationProvider

### Class ezcTemplateTranslationProvider

ezcTemplateTranslationProvider provides functions that are called from the template compiler to either translate strings, or convert them into code.

Source for this file: /TemplateTranslationTiein/src/provider.php

Version: | //autogen//

### Method Summary

public static string | `compile( $string , $context , $arguments )` Compiles the string $string from the context $context with $arguments as variables into executable code.
public static string | `translate( $string , $context , $arguments )` Translates the string $string from the context $context with $arguments as variables.

### Methods

#### compile

static string compile( string $string , string $context , array(string=>mixed) $arguments )

Compiles the string $string from the context $context with $arguments as variables into executable code.

This static method translates a string, but inserts special code as replacements for the variables.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$string` | string |
`$context` | string |
`$arguments` | array(string=>mixed) |

#### translate

static string translate( string $string , string $context , array(string=>mixed) $arguments )

Translates the string $string from the context $context with $arguments as variables.

This static method is called whenever a template directly needs a translated string with the variables substituted.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$string` | string |
`$context` | string |
`$arguments` | array(string=>mixed) |

Documentation generated by phpDocumentor 1.4.3